Skip to main content
GET
Followers

If you’re looking to check whether one user follows another, simply put in a viewer_fid in the /user API

Node.js SDK

🔗 SDK Method: fetchUserFollowers Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

fid
integer
required

User who's profile you are looking at

Required range: x >= 1
viewer_fid
integer

Providing this will return a list of followers that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
sort_type
enum<string>

Sort type for fetch followers. Default is desc_chron

Available options:
desc_chron,
algorithmic
Example:

"desc_chron"

limit
integer<int32>
default:20

Number of results to fetch

Required range: 1 <= x <= 100
Example:

30

cursor
string

Pagination cursor.

Response

Success

next
NextCursor · object
required

Returns next cursor

users
Follower · object[]
required